{% extends 'admin.twig' %} {% block content %} {% if isLoginControllerActivated|default(false) %}
<div piwik-notification context="warning" noclear="true">
    <strong>{{ 'General_Warning'|translate }}</strong>: {{ 'LoginCERN_LoginPluginEnabledWarning'|translate("Login", "LoginCERN") }}
</div>
{% endif %}
<div ng-controller="LoginCERNAdminController as adminController">
    <h1>{{'LoginCERN_Settings'|translate}}</h1> {{'LoginCERN_Description'|translate}}
    <br/>
    <div piwik-form >
    <h2>{{'LoginCERN_GeneralSettings'|translate}}</h2>
        <div piwik-field uicontrol="text" name="logout_url"
            ng-model="adminController.data.logout_url"
            title="{{'LoginCERN_LogOutUrl'|translate}}"
            {% if shibbolethConfig.logout_url != '' %} value="{{ shibbolethConfig.logout_url }}" {%endif%}
            inline-help="{{'LoginCERN_LogOutUrlDesc'|translate}}">
        </div>
        <h2>{{'LoginCERN_ShibbolethSettings'|translate}}</h2>
        <h3>{{'LoginCERN_ShibbolethKeys'|translate}}</h3>
        <div piwik-field uicontrol="text" name="shibboleth_separator"
            ng-model="adminController.data.shibboleth_separator"
            title="{{'LoginCERN_ShibbolethSeparator'|translate}}"
            {% if shibbolethConfig.shibboleth_separator != '' %} value="{{ shibbolethConfig.shibboleth_separator }}"{%endif%}
            inline-help="{{'LoginCERN_ShibbolethSeparatorDesc'|translate}}">
        </div>
        <div piwik-field uicontrol="text" name="shibboleth_user_login"
            ng-model="adminController.data.shibboleth_user_login"
            title="{{'LoginCERN_ShibbolethUserLogin'|translate}}"
            {% if shibbolethConfig.shibboleth_user_login != '' %} value="{{ shibbolethConfig.shibboleth_user_login }}"{%endif%}
            inline-help="{{'LoginCERN_ShibbolethUserLoginDesc'|translate}}">
        </div>
        <div piwik-field uicontrol="text" name="shibboleth_user_alias"
            ng-model="adminController.data.shibboleth_user_alias"
            title="{{'LoginCERN_ShibbolethUserAlias'|translate}}"
            {% if shibbolethConfig.shibboleth_user_alias != '' %} value="{{ shibbolethConfig.shibboleth_user_alias }}"{%endif%}
            inline-help="{{'LoginCERN_ShibbolethUserAliasDesc'|translate}}">
        </div>
        <div piwik-field uicontrol="text" name="shibboleth_user_email"
            ng-model="adminController.data.shibboleth_user_email"
            title="{{'LoginCERN_ShibbolethUserEmail'|translate}}"
            {% if shibbolethConfig.shibboleth_user_email != '' %} value="{{ shibbolethConfig.shibboleth_user_email }}"{%endif%}
            inline-help="{{'LoginCERN_ShibbolethUserEmailDesc'|translate}}">
        </div>
        <div piwik-field uicontrol="text" name="shibboleth_group"
            ng-model="adminController.data.shibboleth_group"
            title="{{'LoginCERN_ShibbolethGroup'|translate}}"
            {% if shibbolethConfig.shibboleth_group != '' %} value="{{ shibbolethConfig.shibboleth_group }}"{%endif%}
            inline-help="{{'LoginCERN_ShibbolethGroupDesc'|translate}}">
        </div>
        <h3>{{'LoginCERN_GroupsSettings'|translate}}</h3>
        <h4>{{'LoginCERN_SuperUserGroups'|translate}}</h4>
        <div piwik-field uicontrol="text" name="shibboleth_superuser_groups"
            ng-model="adminController.data.shibboleth_superuser_groups"
            title="{{'LoginCERN_ShibbolethSuperUserGroups'|translate}}"
            {% if shibbolethConfig.shibboleth_superuser_groups !='' %} value="{{ shibbolethConfig.shibboleth_superuser_groups }}" {%endif%}
            inline-help="{{'LoginCERN_ShibbolethSuperUserGroupsDesc'|translate}}">
        </div>
        <div piwik-save-button
            onconfirm="adminController.save()"
            saving="locationSelector.isLoading">
        </div>
    </div>
</div>
{% endblock %}